" vim: ft=xpt

" XPTemplate template file.
"
" Language:     Go
" Maintainer:   Simon Ruderich <simon@ruderich.org>
" License:      GPL v3+

" Copyright (C) 2018  Simon Ruderich
"
" This file is free software: you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation, either version 3 of the License, or
" (at your option) any later version.
"
" This file is distributed in the hope that it will be useful,
" but WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
" GNU General Public License for more details.
"
" You should have received a copy of the GNU General Public License
" along with this file.  If not, see <http://www.gnu.org/licenses/>.


" Prevent errors if XPTemplate is not installed.
if !exists('g:XPT#ver')
    finish
endif

XPTemplate priority=personal


XPT f
XSET description|post=S(V(), '^description$', 'XXX')
// `description^

// Copyright (C) `strftime("%Y")^  Simon Ruderich
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package main

import (
    `imports^
)

func main() {
    `cursor^
}

XPT ie "if err != nil { ... }
if err != nil {
    `cursor^
}
XPT ier " if err != nil { return err }
if err != nil {
    return ``ret?`, ^err
}
`cursor^
XPT iel " if err != nil { log.Fatal\(err) }
if err != nil {
    log.Fatal(err)
}
`cursor^


XPT p
fmt.Println(`cursor^)
XPT pf
fmt.Printf(`cursor^)

XPT l
log.Print(`cursor^)
XPT lf
log.Printf(`cursor^)
